org.bdgenomics.adam.util

# TwoBitFile

#### class TwoBitFile extends ReferenceFile

Represents a set of reference sequences backed by a .2bit file.

See http://genome.ucsc.edu/FAQ/FAQformat.html#format7 for the spec.

Linear Supertypes
ReferenceFile, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TwoBitFile
2. ReferenceFile
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TwoBitFile(byteAccess: ByteAccess)

   byteAccess

     ByteAccess pointing to a .2bit file.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def extract(region: ReferenceRegion): String

    Extract reference sequence from the .

    Extract reference sequence from the .2bit data. Do not apply masks.

    region

      The desired ReferenceRegion to extract.

    returns

      The reference sequence at the desired locus.

    Definition Classes
      TwoBitFile → ReferenceFile

11. #### def extract(region: ReferenceRegion, mask: Boolean): String

    Extract reference sequence from the .

    Extract reference sequence from the .2bit data.

    region

      The desired ReferenceRegion to extract.

    mask

      Whether to apply masks (with lowercase letters)

    returns

      The reference sequence at the desired locus.

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### var indexRecordStart: Int

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### val sequences: SequenceDictionary

    The sequence dictionary corresponding to the contigs in this two bit file.

    The sequence dictionary corresponding to the contigs in this two bit file.

    Definition Classes
      TwoBitFile → ReferenceFile

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ReferenceFile

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped